Bug 1025817 - RFE: Fix header reading in order to enable large file support
RFE: Fix header reading in order to enable large file support
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gdbm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Skalický
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 12:27 EDT by Honza Horak
Modified: 2017-05-16 08:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-16 08:08:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza Horak 2013-11-01 12:27:49 EDT
Description of problem:
Currently we cannot use largefile support for GDBM, because part of the GDBM that reads header of the database file is not written correctly and we wouldn't be able to read files created with previous build of GDBM with new build of GDBM (with largefile support). However, I believe it is possible to rewrite part of the gdbm code to read both versions since they use specific magic numbers.
Comment 1 Honza Horak 2014-03-06 02:05:36 EST
Just some other thoughts..

GDBM reads the header as a big chunk of data, so it understands only one specific format now. If the header is read field by field, I believe it would be able to accept also other formats and we'll be finally able to support large file support, while be able to read the database file created without large file support at the same time.
Comment 2 Fedora Admin XMLRPC Client 2014-09-11 11:13:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2015-05-29 05:40:22 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 20:44:03 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Marek Skalický 2017-05-16 08:08:20 EDT
Gdbm in latest versions contains gdbm_dump (and gdbmexport) tool which allows exporting of database to Flat Format (see gdbm doc).

Also it is possible to install gdbm.i686 on 64-bit systems to support reading of gdbm databases created without largefiles support.

Feel free to reopen. Or for new features create bugs in upstream tracker - https://puszcza.gnu.org.ua/bugs/?group=gdbm

Note You need to log in before you can comment on or make changes to this bug.